All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata.dav
Class DAVPackageevent

    com.sas.services.information.metadata.dav.DAVPackageevent

All Implemented Interfaces:
  AttributesInterface, DAVEntityInterface, DAVItemInterface, java.io.Serializable

    public class DAVPackageevent

Represents a SAS Package event stored on a DAV server. A serialized XML document is stored as the content of the DAV resource.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.services.information.metadata.dav.DAVEntity
`_acl, _descAttribute, _fullUrl, _name, _nameAttribute, _objectClass, _properties, _repos, _reposId, _resource, _schemaProperties, aclList, content, hasBeenFetched, LOCAL, STORE, UNSET`

Constructor Summary
`DAVPackageevent(com.sas.services.information.RepositoryData entity)` Creates a new DAVPackageevent from the information in the entity
`DAVPackageevent(RepositoryInterface repos, java.lang.String reposId)` Creates a new DAVPackageevent for the entity with a repository id `reposId` in the repository `repos`

Method Summary
`java.lang.String` | `getResultsEntityKey()` Get the entity key for the result package described by the event data.
`java.lang.String` | `getResultsRepositoryId()` Get the repository Id for the result package described by the event data, if it resides in the same repository.

Methods inherited from class com.sas.services.information.metadata.dav.DAVEvent
`findPropertyValue, getEventDocument, getEventDocumentAsString, promoteProperties, setEventDocument, setEventDocumentFromString`

Methods inherited from class com.sas.services.information.metadata.dav.DAVItem
`checkin, checkout, clearLocalLists, finalize, getContentLength, getContents, getContentsAsBytes, getContentsStatus, getContentType, hasContentsUpdates, isUpdatePending, setContents, setContents, setContentsfromStore, setContentsStatus, setContentType, toString, uncheckout`

Methods inherited from class com.sas.services.information.metadata.dav.DAVEntity
`addAccessControlEntry, addAttribute, addAttributes, addUpdateMultiple, addUpdateSingle, commitUpdates, copy, delete, deleteAttribute, deleteAttributes, fetchEntity, getAccessControlList, getACL, getAttribute, getAttributes, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getObjectClass, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setAccessControls, setACL, setAttribute, setAttributes, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, setRepository, update`

Methods inherited from interface com.sas.services.information.metadata.dav.DAVEntityInterface
`addAccessControlEntry, copy, delete, getAccessControlList, getACL, getCreateDate, getDAVResource, getDescription, getFolder, getGUID, getModifyDate, getName, getProperties, getRemarksKeys, getRemoveUpdates, getReposId, getRepository, getSetUpdates, getType, getUpdateableACL, getUrl, getURL, isCollection, isDeleted, move, refresh, refresh, removeAccessControlEntry, setACL, setContentClass, setDeleted, setDescription, setGUID, setName, setRemarksKeys, setReposId, update`

Methods inherited from interface com.sas.services.information.metadata.dav.AttributesInterface
`addAttribute, addAttributes, deleteAttribute, deleteAttributes, getAttribute, getAttributes, setAttribute, setAttributes`

Constructor Detail

### DAVPackageevent

    public DAVPackageevent(RepositoryInterface repos,
                           java.lang.String reposId)

  Creates a new DAVPackageevent for the entity with a repository id `reposId` in the repository `repos`

### DAVPackageevent

    public DAVPackageevent(com.sas.services.information.RepositoryData entity)

  Creates a new DAVPackageevent from the information in the entity

Method Detail

### getResultsEntityKey

    public java.lang.String getResultsEntityKey()

  Get the entity key for the result package described by the event data. If the package is persisted then there is a url for the package stored in the event data.

  Returns:
    String The entity key for the actual result package

### getResultsRepositoryId

    public java.lang.String getResultsRepositoryId()

  Get the repository Id for the result package described by the event data, if it resides in the same repository.

  Returns:
    String The repository id for the actual result package

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.